curl --request GET \
--url https://carboncopy.news/api/v1/keys \
--header 'Authorization: Bearer <token>'{
"keys": [
{
"keyId": "key_abc123",
"name": "My trading bot",
"scopes": {
"portfolio": "none",
"traders": "none",
"orders": "none",
"markets": "none",
"account": "none"
},
"createdAt": 1741000000000,
"expiresAt": 123,
"lastUsedAt": 123
}
]
}Returns all API keys for the authenticated user. Key secrets are never returned — only metadata.
curl --request GET \
--url https://carboncopy.news/api/v1/keys \
--header 'Authorization: Bearer <token>'{
"keys": [
{
"keyId": "key_abc123",
"name": "My trading bot",
"scopes": {
"portfolio": "none",
"traders": "none",
"orders": "none",
"markets": "none",
"account": "none"
},
"createdAt": 1741000000000,
"expiresAt": 123,
"lastUsedAt": 123
}
]
}Was this page helpful?